
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jQuery实现仿Google首页拖动效果的方法_jquery / iVAN</title>

    <meta name="description" content="jQuery实现仿Google首页拖动效果的方法_jquery 本文实例讲述了jQuery实现仿Google首页拖动效果的方法.分享给大家供大家参考.具体如下: 这里用jQuery.js库写了一个仿Google首页拖动的特效代码 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;content-type&quot; content=&quot;text/html; charset=utf-8&quot;/&gt; &lt;title&gt;用JQUERY实现的仿 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jQuery实现仿Google首页拖动效果的方法_jquery</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文实例讲述了jQuery实现仿Google首页拖动效果的方法。分享给大家供大家参考。具体如下：</p>
<p>这里用jQuery.js库写了一个仿Google首页拖动的特效代码</p>
<pre>
&lt;!DOCTYPE html&gt;
&lt;html&gt;
&lt;head&gt;
&lt;meta http-equiv="content-type" content="text/html; charset=utf-8"/&gt;
&lt;title&gt;用JQUERY实现的仿Google首页拖动特效&lt;/title&gt;
&lt;style type="text/css"&gt;
 #div_width{
 width:98%;
 margin:0 auto;
 }
 *{
 margin:0px;
 padding:0px;
 }
 #div_left,#div_right,#div_center{
 float:left;
 width:28%;
 height:900px;
 margin:0 3px;
 }
 #div_center{
 width:38%;
 }
 .can_move{
 border:1px solid blue;
 width:100%;
 margin:5px 0;
 min-height:150px;
 }
 .center_width{
 height:200px;
 }
 p{
 height:30px;
 color:#fff;
 line-height:30px;
 background:#000;
 cursor:move;
 }
 #xuxian{ /*虚线框*/
 border:1px dashed #000;
 margin:5px 0;
 }
 &lt;/style&gt;
 &lt;script src="js/jquery.js"&gt;&lt;/script&gt;
 &lt;script&gt;
 //&lt;![CDATA[
 window.onload=function(){
 var mouse_down=false; //鼠标时候按下
 var x_old=null;  //按下鼠标时鼠标的坐标
 var y_old=null;
 var div_move=null;  //正在移动的div
 var div_move_width=null; //正在移动的div的宽
 var div_move_height=null; //正在移动的div的高
 var xuxian="&lt;div id='xuxian'&gt;&lt;/div&gt;"; //虚线框
 document.oncontextmenu=new Function('event.returnValue=false;');
 //禁止右键
 document.onselectstart=new Function('event.returnValue=false;');
 //禁止选中
 //当鼠标按下的时候
 $("p").mousedown(function(e){
  mouse_down=true; //鼠标按下
  div_move=$(this).parent(); //指定当前div为正在移动的div
  div_move_width=div_move.width();
  div_move_height=div_move.height();
  x_old=e.pageX-$(this).offset().left; //获取鼠标坐标
  y_old=e.pageY-$(this).offset().top;
  //把当前div的position改成absolute
  div_move.css({
  position:'absolute',
  zIndex:'10',
  width:div_move_width,
  height:div_move_height,
  top:div_move.offset().top,
  left:div_move.offset().left
  });
  //将虚线框添加到正在移动的div之前的位置
  div_move.before(xuxian);
  $("#xuxian").css({
  width:'100%',
  height:div_move_height
  });
 });
 //移动鼠标
 $(document).mousemove(function(e){
  if(!mouse_down) return false;
  var _x=e.pageX;
  var _y=e.pageY;
  var div_right_div=$("#div_right&gt;div").not(div_move).not("#xuxian");
  div_move.css({ //改变正在移动div的top和left
  top:_y-y_old,
  left:_x-x_old
  });
/*注意,因为鼠标当前始终在正在移动的div上面,
所以,鼠标移动不会触发其他元素的mouseenter,mouseleave,mouseover
和mouseout事件,要想达到同样的效果,
只能根据鼠标的坐标来判断鼠标是否进入其他元素*/
  var left_left=$("#div_left").offset().left;
  //确定左边div_left容器的位置
  var left_width=$("#div_left").width();
  var right_left=$("#div_right").offset().left;
  //确定右边div_right容器的位置
  var right_width=$("#div_right").width();
  var center_left=$("#div_center").offset().left;
  //确定中间div_center容器的位置
  var center_width=$("#div_center").width();
  //判断鼠标坐标是否进入左边div_left容器
  if(_x&gt;left_left&amp;&amp;_x&lt;(left_left+left_width)){
  /*选定左边div_left容器下的最后一个可移动div,
  不包含当前正在移动的div元素和虚线框*/
  var div_left_last=$("#div_left&gt;div").not(div_move).not("#xuxian").filter(":last");
  if(div_left_last.length&gt;=1){
  //判断时候左边div_left容器下时候有可移动div元素
   if(_y&gt;(div_left_last.offset().top+div_left_last.height())){
   //判断鼠标是否在左边div_left容器最后一个元素的下边
   $("#xuxian").remove(); //如果是,移除之前添加的虚线框
   div_left_last.after(xuxian);
   //把虚线框添加为左边div_left容器的最后一个子元素
   $("#xuxian").css({ //设定虚线框的高和宽
    width:'100%',
    height:div_move_height
   });
   }else{
   //如果鼠标不在左边div_left容器最后一个元素的下边,
   //那么,循环判定鼠标是否进入左边div_left容器下的可移动div元素里面
    var div_left_div=$("#div_left&gt;div").not(div_move).not("#xuxian");
    for(var i=0;i&lt;div_left_div.length;i++){
    if(_y&gt;div_left_div.eq(i).offset().top&amp;&amp;(_y&lt;div_left_div.eq(i).offset().top+div_left_div.eq(i).height())){
     $("#xuxian").remove();
     //如果是,删除之前添加的虚线框
     div_left_div.eq(i).before(xuxian);
     //把虚线框添加到当前鼠标进入的div元素的前面
     $("#xuxian").css({ //设定虚线框的高和宽
     width:'100%',
     height:div_move_height
     });
     break; //退出循环
    }
    }
   }
   }else{//如果左边div_left容器下面没有任何可移动div元素
   var div_left_div=$("#div_left&gt;div").not(div_move).not("#xuxian");
   if(div_left_div.length==0){
    $("#xuxian").remove(); //移除之前添加的虚线框
    $("#div_left").append(xuxian);
    //把虚线框添加为左边div_left容器的子元素
    $("#xuxian").css({
    width:'100%',
    height:div_move_height
    });
   }
  }
  }else if(_x&gt;center_left&amp;&amp;_x&lt;(center_left+center_width)){
  //判断鼠标是否进入中间div_center容器
  /*选定中间div_center容器下的最后一个可移动div,
  不包含当前正在移动的div元素和虚线框*/
  var div_center_last=$("#div_center&gt;div").not(div_move).not("#xuxian").filter(":last");
  if(div_center_last.length&gt;=1){
  //判断中间div_center容器的下面时候有可移动div子元素
   if(_y&gt;(div_center_last.offset().top+div_center_last.height())){
   //判断鼠标是否在中间div_center容器的最后一个可移动div子元素的下边
   $("#xuxian").remove();
   //如果是,删除之前添加的虚线框
   div_center_last.after(xuxian);
   //把虚线框添加为中间div_center容器的最后一个div子元素
   $("#xuxian").css({ //设定虚线框的宽和高
    width:'100%',
    height:div_move_height
   });
   }else{
   //如果鼠标不在中间div_center容器最后一个可移动div子元素的下边,
   //则循环判断鼠标进入的是哪一个iv子元素
    var div_center_div=$("#div_center&gt;div").not(div_move).not("#xuxian");
    for(var i=0;i&lt;div_center_div.length;i++){
    if(_y&gt;div_center_div.eq(i).offset().top&amp;&amp;(_y&lt;div_center_div.eq(i).offset().top+div_center_div.eq(i).height())){
     $("#xuxian").remove();
     //找到鼠标进入的div子元素,删除之前添加的虚线框
     div_center_div.eq(i).before(xuxian);
     //把虚线框添加到当前鼠标进入的div子元素的前面
     $("#xuxian").css({
     //设定虚线框的宽度和高度
     width:'100%',
     height:div_move_height
     });
     break; //退出循环
    }
    }
   }
   }else{
   //如果中间div_center容器的中间没有可移动的div子元素
   var div_center_div=$("#div_center&gt;div").not(div_move).not("#xuxian");
   if(div_center_div.length==0){
    $("#xuxian").remove();
    //删除之前添加的虚线框
    $("#div_center").append(xuxian);
    //把虚线框添加为中间div_center的最后一个div元素
    $("#xuxian").css({
    width:'100%',
    height:div_move_height
    });
   }
  }
  }else if(_x&gt;right_left&amp;&amp;_x&lt;(right_left+right_width)){
  //判断鼠标是否进入右边div_right容器
  /*选定右边div_right容器下的最后一个可移动div,
  不包含当前正在移动的div元素和虚线框*/
  var div_right_last=$("#div_right&gt;div").not(div_move).not("#xuxian").filter(":last");
  if(div_right_last.length&gt;=1){
  //判断右边div_right容器下边是否有可移动的div子元素
   if(_y&gt;(div_right_last.offset().top+div_right_last.height())){
   //判断鼠标时候在右边div_right容器最后一个可移动div元素的下边
   $("#xuxian").remove();
   //如果是,删除之前添加的虚线框
   div_right_last.after(xuxian);
   //添加虚线框为右边div_right容器的最后一个元素
   $("#xuxian").css({
   //设定虚线框的宽和高
    width:'100%',
    height:div_move_height
   });
   }else{
   //如果鼠标不在右边div_right容器最后一个可移动div元素的下边,
   //则循环判断鼠标进入到右边div_right容器下哪个可移动div元素里面
    for(var i=0;i&lt;div_right_div.length;i++){
    if(_y&gt;div_right_div.eq(i).offset().top&amp;&amp;(_y&lt;div_right_div.eq(i).offset().top+div_right_div.eq(i).height())){
     $("#xuxian").remove();
     //找到鼠标进入的div元素,删除之前添加的虚线框
     div_right_div.eq(i).before(xuxian);
     //把虚线框添加到鼠标进入的div元素的前面
     $("#xuxian").css({
     //设定宽和高
     width:'100%',
     height:div_move_height
     });
     break;
     //退出循环
    }
    }
   }
   }else{
   //如果右边div_right元素的下边没有可移动的div子元素
   if(div_right_div.length==0){
    $("#xuxian").remove();
    //删除之前添加的虚线框
    $("#div_right").append(xuxian);
    //把虚线框添加为右边div_right容器的子元素
    $("#xuxian").css({
    //设定虚线框的宽和高
    width:'100%',
    height:div_move_height
    });
   }
  }
  }
 }).mouseup(function(){
  mouse_down=false; //鼠标松开
  $("#xuxian").before(div_move);
  //将当前正在移动的div元素添加到虚线框的前面
  div_move.css({
  //更改正在移动div元素的position和宽
  position:'static',
  width:'100%'
  });
  $("#xuxian").remove();
  //删除虚线框
  return false;
 });
 }
 //]]&gt;
 &lt;/script&gt;
&lt;/head&gt;
&lt;body&gt;
 &lt;div id="div_width"&gt;
 &lt;div id="div_left"&gt;
  &lt;div class="can_move"&gt;
  &lt;p&gt;音乐&lt;/p&gt;
  &lt;/div&gt;
  &lt;div class="can_move"&gt;
  &lt;p&gt;活动&lt;/p&gt;
  &lt;/div&gt;
 &lt;/div&gt;
 &lt;div id="div_center"&gt;
  &lt;div class="can_move center_width"&gt;
  &lt;p&gt;科技&lt;/p&gt;
  &lt;/div&gt;
 &lt;/div&gt;
 &lt;div id="div_right"&gt;
  &lt;div class="can_move"&gt;
  &lt;p&gt;新闻&lt;/p&gt;
  &lt;/div&gt;
  &lt;div class="can_move"&gt;
  &lt;p&gt;元素&lt;/p&gt;
  &lt;/div&gt;
 &lt;/div&gt;
 &lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>希望本文所述对大家的jQuery程序设计有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索jquery<br />
                    ，                拖动效果<br />
                                    仿Google首页<br />
                                    首页组件库 拖动布局、jquery 拖动、jquery 拖动插件、jquery鼠标拖动事件、jquery 拖动排序，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 13:56:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/jquery/" title="jquery">jquery</a>, <a href="https://www.iamivan.net/tag/%e4%bb%bfgoogle%e9%a6%96%e9%a1%b5/" title="仿Google首页">仿Google首页</a>, <a href="https://www.iamivan.net/tag/%e6%8b%96%e5%8a%a8%e6%95%88%e6%9e%9c/" title="拖动效果">拖动效果</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jQuery实现仿Google首页拖动效果的方法_jquery的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1NmgKp.html" rel="bookmark">jQuery模拟新浪微博首页滚动效果的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery模拟新浪微博首页滚动效果的方法.分享给大家供大家参考.具体实现方法如下: 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBKexAM.html" rel="bookmark">jQuery实现带滚动线条导航效果的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery实现带滚动线条导航效果的方法.分享给大家供大家参考.具体分析如下: 最早见到这种导航是在魅族的官网,当时(去年)觉得挺不错的但自己不会JavaScript,因此那时&quot;可望而不可及&quot;.今日去手机QQ for Android官网,又发现类似这样的导航,反正自己也没啥事,所以就尝试用jQuery做出这样的效果. 效果如下: 首页 说说 日志 相册     CSS: body,ul,li{margin:0;padding:0;} #testnav{;height:80			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RO0Qb.html" rel="bookmark">jQuery使用fadeout实现元素渐隐效果的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery使用fadeout实现元素渐隐效果的方法.分享给大家供大家参考.具体分析如下: 下面的JS代码演示了jQuery控制色块元素逐渐隐藏的效果,可以控制隐藏速度 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;script src=&quot;js/jquery.min.js&quot;&gt; &lt;/script&gt; &lt;script&gt; $(document).ready(function(){ $(&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvY3NWb.html" rel="bookmark">jQuery文字提示与图片提示效果实现方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery文字提示与图片提示效果实现方法.分享给大家供大家参考,具体如下: 1.效果如图: 2.文字提示代码: &lt;script type=&quot;text/javascript&quot;&gt; //&lt;![CDATA[ $(function(){ var x = 10; var y = 20; $(&quot;a.tooltip&quot;).mouseover(function(e){ this.myTitle = this.title; this.title = &q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXK6alM.html" rel="bookmark">jQuery实现tag便签去重效果的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery实现tag便签去重效果的方法.分享给大家供大家参考.具体实现方法如下: html代码如下: 复制代码 代码如下: &lt;head&gt; &lt;script type=&quot;text/javascript&quot; src=&quot;js/jQuery.js&quot;&gt;&lt;/script&gt;  &lt;!--jquery引用代码--&gt; &lt;script type=&quot;text/javascript&quot; src=&quot;j			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ16J0b.html" rel="bookmark">jQuery实现跟随鼠标运动图层效果的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery实现跟随鼠标运动图层效果的方法.分享给大家供大家参考.具体分析如下: 一.基本目标 写一个跟随鼠标运动的图层, 图层中显示当前鼠标的位置, 如下图所示: 此图层之所以使用jQuery,而不是因为javascript,是因为jQuery的代码其便于兼容当前的所有主流的浏览器,至少IE8是没有任何问题的,不用像javascript大段大段的代码都用到兼容性上面了. 二.制作过程 本次实验的核心是jquery里面的mousemove事件, 鼠标移动则触发. 代码如下: 复制代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrY6np.html" rel="bookmark">Jquery实现地铁线路指示灯提示牌效果的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Jquery实现地铁线路指示灯提示牌效果的方法.分享给大家供大家参考.具体分析如下: 经常做地铁的朋友应该都有所观察吧,就是地铁开动的时候那个绿色的指示灯从一个方向到另一个方向一直来回走,知道到站了才停止运动,我一直都很想做这样的效果.今天细细琢磨下,总算摸到一点头绪了,并且有效果产生了,虽然还有地方优化,先把代码贴出来.不过,注释的地方代码有点问题,到最后一个索引的时候重新重新冲索引0开始添加颜色,但是第二次执行后没有从索引0开始,感兴趣的朋友可以完善一下. 复制代码 代码如下:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR1JQkb.html" rel="bookmark">jQuery实现行文字链接提示效果的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery实现行文字链接提示效果的方法.分享给大家供大家参考.具体实现方法如下: 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xht			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8DVnp.html" rel="bookmark">jquery实现焦点图片随机切换效果的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jquery实现焦点图片随机切换效果的方法.分享给大家供大家参考.具体如下: 1. 运行效果如下图所示: 2.完整实例代码点击此处本站下载. 3.完整代码如下: 复制代码 代码如下: &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt;     &lt;meta charset=&quot;utf-8&quot;&gt;     &lt;title&gt;Slides, A Slideshow Plugin f			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYddZb.html" rel="bookmark" class="title">利用socket长连接做信息报警提示</a>
					<div>
						问题描述 利用socket长连接做信息报警提示 现在在做一个项目,需要用服务器推送技术做一个报警提示,就是只要有没有处理的信息显示,就自动报警					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2JLQb.html" rel="bookmark" class="title">html5获取地理位置信息API</a>
					<div>
						html5获取地理位置信息API       在HTML5中,可以看下如何使用Geolocation API来获得用户的地理位置信息,如果该浏览器支持的话,且设备具有定位功能,就能够直接使用这组API ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2ArZz.html" rel="bookmark" class="title">Asp&period;net中实现同一用户名不能同时登陆&lpar;单点登陆&rpar;</a>
					<div>
						asp.net Web项目中经常遇到的问题就是同一用户名多次登陆的问题,相应的解决办法也很多,总结起来不外乎这几种解决办法:将登陆后的用户名放到数据库表中:登陆后的用户名放到Session中:登陆后的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrnZxM.html" rel="bookmark" class="title">推荐搜索和知识搜索 你会选用哪一个</a>
					<div>
						互联网的争端不仅在网站之间,也在与网站的自身产品之间.搜索引擎其实就是网站的产品,或者说一个功能.搜索引擎之间的争夺就是产品之间的争夺,他们不仅是这两个产品之间的争夺,也是背后的两个网站的争夺.随着信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62QGJM.html" rel="bookmark" class="title">Java编程那些事儿24&mdash;赋值运算符</a>
					<div>
						4.4 赋值运算符 赋值运算符是指为变量或常量指定数值的符号.最基本的赋值运算符是&quot;=&quot;. 由于Java语言是强类型的语言,所以赋值时要求类型必须匹配,如果类型不匹配时需要能自动转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wX49p.html" rel="bookmark" class="title">冒号和他的学生们（连载17）&mdash;&mdash;语言讨论</a>
					<div>
						17．语言讨论 因了解而喜爱,因无知而憎恶 --题记 教室里,学员们正热火朝天地讨论着流行的编程语言.冒号推门而入,沸水锅被浇了一瓢冷水,立刻平静下来. 冒号笑吟吟地看着大家:&quot;怎么不讨论了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baleAXz.html" rel="bookmark" class="title">Spring配置事务在DAO层和业务逻辑层</a>
					<div>
						Spring通过AOP实现声明式事务管理.通常通过TransactionProxyFactoryBean设置Spring事务代理.我们需要一个目标对象包装在事务代理中.这个目标对象一般是一个普通Jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW16Nmz.html" rel="bookmark" class="title">iOS Programming 触摸事件处理详解</a>
					<div>
						iphone/ipad无键盘的设计是为屏幕争取更多的显示空间,大屏幕在观看图片.文字.视频等方面为用户带来了更好的用户体验.而触摸屏幕是iOS设备接受用户输入的主要方式,包括单击.双击.拨动以及多点触 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB1DAb.html" rel="bookmark" class="title">各种SmartPhone上的跨平台开源框架的总结</a>
					<div>
						各种SmartPhone上的跨平台开源框架的总结 目前SmartPhone的开发语言 Apple iPhoneObjective-C C/C++ Google AndroidJAVA 可以使用NDK进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwqBBp.html" rel="bookmark" class="title">如何避免IE8访问Https网站时弹出提示</a>
					<div>
						  使用过IE8浏览器的朋友都知道,访问一些采用Https协议的网站都会弹出&quot;是否只查看安全传送的网页内容?此网页包含的内容将不使用安全的HTTPS连接传送,可能危及到整个网页的安全.&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaoZQM.html" rel="bookmark" class="title">Visio2007模板说明教程</a>
					<div>
						  Visio2007模板说明教程 打开 Office Visio 2007. Visio 打开后,会显示一些窗口.目前,您需要使用的是标题为&quot;模板类别&quot;的窗口. 提示如果您已经打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGNkjp.html" rel="bookmark" class="title">for循环存取数据到文件中</a>
					<div>
						问题描述 for循环存取数据到文件中 经过一个for循环,每次都能得到一组数据,将每组数据按行存入一个txt文件中,大约十几万行,该怎样写,求助大神们!给个大概模板也可以,相似的例子之类的! 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N71Az.html" rel="bookmark" class="title">独家 &vert; 一文读懂优化算法</a>
					<div>
						一.前言 模拟退火.遗传算法.禁忌搜索.神经网络等在解决全局最优解的问题上有着独到的优点,其中共同特点就是模拟了自然过程.模拟退火思路源于物理学中固体物质的退火过程,遗传算法借鉴了自然界优胜劣汰的进化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP3wvp.html" rel="bookmark" class="title">嵌入式设备linux内核版本的选择</a>
					<div>
						问题描述 嵌入式设备linux内核版本的选择 有好多的嵌入式方案都是以2.x为主 国内公司一般跑linux qt的都是2.x 3.x在国内的资料没那么全 性能肯定好点 不知你要用那个架构的主控 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKEDgb.html" rel="bookmark" class="title">公司这个利益组织</a>
					<div>
						春秋吴越战争,勾践在范蠡和文种的帮助下,卧薪尝胆,终于把吴给灭了,成就霸业.范蠡决定跑路,勾践许诺&quot;共分越国&quot;,范蠡回&quot;君行其法,我行其意.&quot;文种挽留,范蠡反过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94mKgb.html" rel="bookmark" class="title">阿里聚安全移动安全专家分享：APP渠道推广作弊攻防那些事儿</a>
					<div>
						移动互联网高速发展,要保持APP持续并且高速增长所需的成本也越来越高.美团网CEO在今年的一次公开会议上讲到:&quot;2017年对移动互联网公司来说是非常恐的.&quot;.主要表现在三个方面,手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5ljQM.html" rel="bookmark" class="title">如何推广自己的网站</a>
					<div>
						没钱推广网站?这是一个很严峻的问题,也是一个很现实的问题.于是涉及到另外一个问题:没钱就不能推广自己的网站吗?答案是否定的.没钱照样可以将一个网站很好的推广出去,这也是零才今天想谈的话题,一是告诉没钱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZPkaz.html" rel="bookmark" class="title">Scala入门到精通&mdash;&mdash;第二十七节 Scala操纵XML</a>
					<div>
						本节主要内容 XML 字面量 XML内容提取 XML对象序列化及反序列化 XML文件读取与保存 XML模式匹配 1. XML 字面量 XML是一种非常重要的半结构化数据表示方式,目前大量的应用依赖于X ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7PrNp.html" rel="bookmark" class="title">雷军：做企业如何少磕绊</a>
					<div>
						若想成大事,有三条秘诀:预判未来.在对的时间做对的事情,顺势而为. 文/雷军 我这个人运气不怎么样.在网上一查,跟雷军最近的关键词是什么?是&quot;IT劳模&quot;,我工作的辛苦和努力是出了名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGExBOM.html" rel="bookmark" class="title">怎么安装visual  studio  2015？</a>
					<div>
						问题描述 各位老大,visualstudio2015也已经发布一段时间了,前几天安装了一下,发现要在线访问部分网址,但那些网站好像都被墙了,一直安装不成功啊.各位兄弟有没有什么好的办法,能够将visu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjqeWM.html" rel="bookmark" class="title">新手提问，高手看看这段代码哪里错？？？？</a>
					<div>
						问题描述 importjava.io.*;publicclasselseif{publicstaticvoidmain(String[]args)throwsIOException{InputStre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N888z.html" rel="bookmark" class="title">MySQL SHOW 命令的使用介绍&lowbar;Mysql</a>
					<div>
						SHOW TABLES或SHOW TABLES FROM DATABASE; 解释:显示当前数据库中所有表的名称 SHOW DATABASES; 解释:显示MYSQL中所有数据库的名称 SHOW PR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44Rr9z.html" rel="bookmark" class="title">C&plus;&plus;获得文件状态信息的方法&lowbar;C 语言</a>
					<div>
						本文实例讲述了C++获得文件状态信息的方法.分享给大家供大家参考.具体如下: //C++ 获得文件状态信息源码, //C++ 获得文件所在磁盘盘符源码, //C++ 文件创建时间源码, //C++ 访 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N6y0z.html" rel="bookmark" class="title">JavaScript将XML转成JSON的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JavaScript将XML转成JSON的方法.分享给大家供大家参考.具体方法如下: 1. JavaScript代码如下: 复制代码 代码如下: // Changes XML to JS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL9eBM.html" rel="bookmark" class="title">织梦dedecms后台&sol;会员&sol;留言板验证码关闭</a>
					<div>
						提示:支持DedeCMS V5.6 以上的所有版本 取消后台登录验证码 打开/data/safe/inc_safe_config.php文件,找到如下代码: $safe_gdopen = '1,2,3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8Wdrb.html" rel="bookmark" class="title">appliction 的应用</a>
					<div>
						问题描述 jsp:userbeanappliction怎么能够使它在另一个窗口显示呢? 解决方案 解决方案二:不懂你是什么意思解决方案三:使用appliction.getAttribute(&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBOoWb.html" rel="bookmark" class="title">VS中如何在外部调用STK</a>
					<div>
						问题描述 VS中如何在外部调用STK 想在VS中调用STK,但是网上相关信息比较少,有没有大神给一个例程学习下? 解决方案 VS资源文件和外部依赖项					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdXDEp.html" rel="bookmark" class="title">X-Space安装详解及安装中常见问题解决</a>
					<div>
						一.环境需要 安装X-Space非常简单.安装前,您需要先安装一个http://www.aliyun.com/zixun/aggregation/29799.html&quot;&gt;Discuz! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YRYvz.html" rel="bookmark" class="title">美国网络空间安全框架回顾</a>
					<div>
						本文讲的是 美国网络空间安全框架回顾,2014年2月,美国国家标准与技术研究所(NIST)发布了一套新的网络安全指导方针,旨在帮助关键基础设施提供者更好地保护自身,抵御攻击.这一框架的出台,源于奥巴马 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wZBRz.html" rel="bookmark" class="title">Linux Deepin 11&period;06 RC1预览版发布 轻量级中文Linux发行版</a>
					<div>
						linux deepin(linux.deepin.org)是国内比较知名的ubuntu衍生版,前身为2004年由hiweed发起的hiweed linux项目(这也是国内第一个中文社区发布版). 早 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
